import GLOOP.*;
public class Asteroid{
    private GLKugel kugel;
    private Ufo dasUfo;

    public Asteroid(Ufo pUfo){
        kugel = new GLKugel(0,0,0, 50,"Krater.jpg");       
        dasUfo = pUfo;
        this.zuruecksetzen();
    }

    public void bewegeDich(){
        kugel.verschiebe(0,-0.5,0);   
        kugel.drehe(0.1,0.1,0.1);

        if (kugel.gibY()<-300) this.zuruecksetzen();
        if (this.getroffen()) dasUfo.explodiere();
    }

    private boolean getroffen(){
        double abstand = Math.sqrt(
                Math.pow( kugel.gibX()-dasUfo.gibX(), 2 ) +
                Math.pow( kugel.gibY()-dasUfo.gibY(), 2 )            
            );

        if (abstand<70) return true;
        else 
            return false;
    }

    private void zuruecksetzen(){
        int x = (int)(Math.random()*2000 - 1000);
        int y = (int)(Math.random()*500 + 500);
        kugel.setzePosition(x,y,0);
        kugel.setzeSkalierung(1,Math.random()+0.3,Math.random()+0.3);
    }
}
