import GLOOP.*;
public class Ufospiel{
    private GLKamera kamera;
    private GLLicht licht;
    private GLTastatur tastatur;
    private GLHimmel himmel;

    private Ufo dasUfo;
    private Asteroid[] asteroid;

    public Ufospiel(){
        kamera = new GLSchwenkkamera();  
        kamera.setzePosition(0,-600,200);
        kamera.setzeBlickpunkt(0,0,200);
        kamera.setzeScheitelrichtung(0,0,1);
        licht  = new GLLicht(-5000,-10000,0);
        tastatur = new GLTastatur();
        himmel = new GLHimmel("Sterne.jpg");

        dasUfo = new Ufo();

        GLTextur tex = new GLTextur("Krater.jpg");
        asteroid = new Asteroid[60];
        for (int i=0; i<60; i++){
            asteroid[i] = new Asteroid(dasUfo, tex);
        }

        fuehreAus();
    }

    public void fuehreAus(){
        while(!tastatur.esc()){
            if (tastatur.links()) dasUfo.bewegeLinks();
            if (tastatur.rechts()) dasUfo.bewegeRechts();
            if (tastatur.unten()) dasUfo.bewegeUnten();
            if (tastatur.oben()) dasUfo.bewegeOben();

            for (int i=0; i<60; i++) 
                asteroid[i].bewegeDich();            

            Sys.warte();
        }
        Sys.beenden(); 
    }
}
